#include <vector>
#include <iostream>
//#include <string>
#include "opatIO.h"


int main() {

    std::string FILENAME = "GS98hz.opat";
    OpatIO opatIO(FILENAME);
    Header header = opatIO.getHeader();
    std::cout << header.version << std::endl;
    std::cout << header.comment << std::endl;  
    std::cout << header.numTables << std::endl;

    std::vector<TableIndex> tableIndex = opatIO.getTableIndex();

    //print out the X,Z pairs in the table
    for (size_t i=0; i< tableIndex.size()-1; i++){
	std::cout << "Table [" << i << "]: {" << tableIndex[i].index.at(0) << ", "
		  << tableIndex[i].index.at(1) << "}" << std::endl;
    }

    //find the table index corresponding to X=0.1, Z=0.001
    std::vector<double> index = {0.1, 0.001};
    OPATTable tab =  opatIO.getTable(index);

}
